View Issue Details

IDProjectCategoryView StatusLast Update
0000840FreeCADBugpublic2013-10-28 13:43
Reportertanderson69Assigned ToJriegel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.14Fixed in Version0.14 
Summary0000840: OCC precision corruption from App::PropertyFloat
DescriptionUsing float based numbers converted to doubles causes erroneous numbers for the OCC modeling routines.
Additional Informationmore details found in this thread
https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=9&t=2754&start=20#p23260
TagsNo tags attached.

Activities

shoogen

2012-09-20 09:56

developer   ~0002409

Last edited: 2012-09-20 10:00

I think there a two distinct problems
1. FreeCAD should only use doubles (in Properties)
2. Refine should take an precison argument.
(Most of the OCCT allows two specify the precision. If FreeCAD doesn't pass the right precision to OCCT, it's another bug.)

Jriegel

2012-09-23 08:14

administrator   ~0002418

Make sense to go completely for double in all parameters!

Jriegel

2012-11-15 18:11

administrator   ~0002533

I think we should go for doubles in the 0.14, which will cause a lot of testing.....

jrheinlaender

2013-02-25 15:33

developer   ~0002939

OCC uses Standard_Real etc. shouldn't we use that instead of double to avoid all rounding troubles now and in the distant future?

wmayer

2013-10-28 12:32

administrator   ~0003825

Can this be considered as fixed now?

tanderson69

2013-10-28 13:26

developer   ~0003828

looks good to me.

wmayer

2013-10-28 13:43

administrator   ~0003829

So then...

Issue History

Date Modified Username Field Change
2012-09-19 22:35 tanderson69 New Issue
2012-09-20 09:56 shoogen Note Added: 0002409
2012-09-20 10:00 shoogen Note Edited: 0002409
2012-09-23 08:14 Jriegel Note Added: 0002418
2012-09-23 08:14 Jriegel Status new => acknowledged
2012-11-15 18:11 Jriegel Note Added: 0002533
2012-11-15 18:11 Jriegel Assigned To => Jriegel
2012-11-15 18:11 Jriegel Status acknowledged => assigned
2012-12-20 18:18 Jriegel Target Version => 0.14
2013-02-25 15:33 jrheinlaender Note Added: 0002939
2013-10-28 12:32 wmayer Note Added: 0003825
2013-10-28 13:26 tanderson69 Note Added: 0003828
2013-10-28 13:43 wmayer Note Added: 0003829
2013-10-28 13:43 wmayer Status assigned => closed
2013-10-28 13:43 wmayer Resolution open => fixed
2013-10-28 13:43 wmayer Fixed in Version => 0.14